## assrender assrender |

## Synopsis

    struct              GstAssRender;

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GstObject
                   +----GstElement
                         +----GstAssRender

## Properties

      "embeddedfonts"            gboolean              : Read / Write
      "enable"                   gboolean              : Read / Write
      "wait-text"                gboolean              : Read / Write

## Description

## Synopsis

### Element Information

plugin | assrender
author | Benjamin Schmitz <vortex@wolpzone.de>, Sebastian Dröge <sebastian.droege@collabora.co.uk>
class | Mixer/Video/Overlay/Subtitle

### Element Pads

name | text_sink
direction | sink
presence | always
details | application/x-ass
| application/x-ssa

name | video_sink
direction | sink
presence | always
details | video/x-raw, format=(string){ BGRx, RGBx, xRGB, xBGR, RGBA, BGRA, ARGB, ABGR, RGB, BGR, I420, YV12, AYUV, YUY2, UYVY, v308, Y41B, Y42B, Y444, NV12, NV21, A420, YUV9, YVU9, IYU1, GRAY8 }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

name | src
direction | source
presence | always
details | video/x-raw, format=(string){ BGRx, RGBx, xRGB, xBGR, RGBA, BGRA, ARGB, ABGR, RGB, BGR, I420, YV12, AYUV, YUY2, UYVY, v308, Y41B, Y42B, Y444, NV12, NV21, A420, YUV9, YVU9, IYU1, GRAY8 }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Details

### struct GstAssRender

    struct GstAssRender;

## Property Details

### The `"embeddedfonts"` property

      "embeddedfonts"            gboolean              : Read / Write

Extract and use fonts embedded in the stream.

Default value: TRUE

### The `"enable"` property

      "enable"                   gboolean              : Read / Write

Enable rendering of subtitles.

Default value: TRUE

### The `"wait-text"` property

      "wait-text"                gboolean              : Read / Write

Whether to wait for subtitles.

Default value: TRUE